Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DistributedObjectOV Class Reference
Inheritance diagram for DistributedObjectOV:

## Public Member Functions
| __init__ (self, cr)
| announceGenerate (self)
| delete (self)
| deleteOrDelay (self)
| disable (self)
| disableAndAnnounce (self)
| disableAnnounceAndDelete (self)
| generate (self)
| generateInit (self)
| getCacheable (self)
| getDelayDeleteCount (self)
| getDoId (self)
| isDisabled (self)
| isGenerated (self)
| postGenerateMessage (self)
| sendUpdate (self, fieldName, args=[], sendToId=None)
| status (self, indent=0)
| taskName (self, taskString)
| uniqueName (self, idString)
| updateAllRequiredFields (self, dclass, di)
| updateRequiredFields (self, dclass, di)
| updateRequiredOtherFields (self, dclass, di)
Public Member Functions inherited from DistributedObjectBase
| __init__ (self, cr)
| getLocation (self)
| getParentObj (self)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| activeState = ESNew
| dclass = None
int | DistributedObjectOV_deleted = 1
int | DistributedObjectOV_initialized = 1
Public Attributes inherited from DistributedObjectBase
| cr = cr
| doId
int | parentId = None
| zoneId = None

## Additional Inherited Members
Static Public Attributes inherited from DistributedObjectBase
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    Implementation of the 'owner view' (OV) of a distributed object;

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | cr )

## Member Function Documentation

## ◆ announceGenerate()

announceGenerate | ( |  | self | ) |

    Sends a message to the world after the object has been
    generated and all of its required fields filled in.

## ◆ delete()

delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete

Reimplemented from DistributedObjectBase.

Reimplemented in DistributedCameraOV.

## ◆ deleteOrDelay()

deleteOrDelay | ( |  | self | ) |

## ◆ disable()

disable | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on disable

## ◆ disableAndAnnounce()

disableAndAnnounce | ( |  | self | ) |

## ◆ disableAnnounceAndDelete()

disableAnnounceAndDelete | ( |  | self | ) |

## ◆ generate()

generate | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on generate

## ◆ generateInit()

generateInit | ( |  | self | ) |

    This method is called when the DistributedObjectOV is first introduced
    to the world... Not when it is pulled from the cache.

## ◆ getCacheable()

getCacheable | ( |  | self | ) |

## ◆ getDelayDeleteCount()

getDelayDeleteCount | ( |  | self | ) |

## ◆ getDoId()

getDoId | ( |  | self | ) |

    Return the distributed object id

## ◆ isDisabled()

isDisabled | ( |  | self | ) |

    Returns true if the object has been disabled and/or deleted,
    or if it is brand new and hasn't yet been generated.

## ◆ isGenerated()

isGenerated | ( |  | self | ) |

    Returns true if the object has been fully generated by now,
    and not yet disabled.

## ◆ postGenerateMessage()

postGenerateMessage | ( |  | self | ) |

## ◆ sendUpdate()

sendUpdate | ( |  | self,
|  |  | fieldName,
|  |  | args = [],
|  |  | sendToId = None )

## ◆ status()

status | ( |  | self,
|  |  | indent = 0 )

    print out "doId(parentId, zoneId) className"
        and conditionally show generated, disabled

Reimplemented from DistributedObjectBase.

## ◆ taskName()

taskName | ( |  | self,
|  |  | taskString )

## ◆ uniqueName()

uniqueName | ( |  | self,
|  |  | idString )

## ◆ updateAllRequiredFields()

updateAllRequiredFields | ( |  | self,
|  |  | dclass,
|  |  | di )

## ◆ updateRequiredFields()

updateRequiredFields | ( |  | self,
|  |  | dclass,
|  |  | di )

## ◆ updateRequiredOtherFields()

updateRequiredOtherFields | ( |  | self,
|  |  | dclass,
|  |  | di )

## Member Data Documentation

## ◆ activeState

activeState = ESNew

## ◆ dclass

dclass = None

## ◆ DistributedObjectOV_deleted

int DistributedObjectOV_deleted = 1

## ◆ DistributedObjectOV_initialized

int DistributedObjectOV_initialized = 1